# List of public services and APIs on luca0N.com

As you might or might not know, I host several projects and services here on luca0N.com.  Here's a complete list of them:

# Self-hosted services

- [git0N!](https://git.luca0n.com/) is where my software lives.
- [luca0N! Social](https://social.luca0n.com/) is where my Fediverse account lives (although I don't really use it).
- [Element](https://element.luca0n.com/), because the official Element web browser instance uses Cl\*udflare.
- [Matrix](https://matrix.luca0n.com/), my self-hosted Matrix instance (which is *insanely* slow, thanks snek brogammerz!!!11)

# APIs

- [What is my IP address?](https://www.luca0n.com/api/ip)\* shows your public IPv4 address or your public IPv6 address (if available).
- [What is my IPv4 address?](https://www.ipv4.luca0n.com/api/ip)\* is the same as above, but shows your IPv4 address even if IPv6 is available.
- [What is the current UNIX timestamp?](/api/epoch) if you quickly need to retrieve the current UNIX epoch.  This is more of a convenience thing rather than a practical thing since you really shouldn't be retrieving UNIX timestamps remotely when writing software (unless you want to avoid time skewing and computers with faulty CMOS batteries).  This might get deprecated and/or removed in the future.

\* Just a reminder: the IP APIs are not available on the luca0N! Hidden Service (although it will show the exit node address when accessing it via clearnet or the outproxy address when accessing it using I2P via clearnet).
